<?php
/**
 * Coupons Deals functions and definitions
 * @package Coupons Deals
 */
 /* Breadcrumb Begin */
function coupons_deals_the_breadcrumb() {
	if (!is_home()) {
		echo '<a href="';
			echo esc_url( home_url() );
		echo '">';
			bloginfo('name');
		echo "</a> ";
		if (is_category() || is_single()) {
			the_category(',');
			if (is_single()) {
				echo "<span> ";
					the_title();
				echo "</span> ";
			}
		} elseif (is_page()) {
			echo "<span> ";
				the_title();
		}
	}
}
/* Theme Setup */
if ( ! function_exists( 'coupons_deals_setup' ) ) :

function coupons_deals_setup() {

	$GLOBALS['content_width'] = apply_filters( 'coupons_deals_content_width', 640 );

	load_theme_textdomain( 'coupons-deals', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'wc-product-gallery-zoom' );
    add_theme_support( 'wc-product-gallery-slider' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'custom-logo', array(
		'height'      => 240,
		'width'       => 240,
		'flex-height' => true,
	) );
	add_image_size('coupons-deals-homepage-thumb',240,145,true);
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'coupons-deals' ),
	) );
	add_theme_support( 'custom-background', array(
		'default-color' => 'f1f1f1'
	) );

	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	add_theme_support( 'html5', array(
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );

	add_theme_support('responsive-embeds');
	/*
	 * This theme styles the visual editor to resemble the theme style,
	 * specifically font, colors, icons, and column width.
	 */
	add_editor_style( array( 'css/editor-style.css', coupons_deals_font_url() ) );
}
endif; // coupons_deals_setup
add_action( 'after_setup_theme', 'coupons_deals_setup' );

/* Theme Widgets Setup */
function coupons_deals_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'coupons-deals' ),
		'description'   => __( 'Appears on posts and pages', 'coupons-deals' ),
		'id'            => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Posts and Pages Sidebar', 'coupons-deals' ),
		'description'   => __( 'Appears on posts and pages', 'coupons-deals' ),
		'id'            => 'sidebar-2',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Third Column Sidebar', 'coupons-deals' ),
		'description'   => __( 'Appears on posts and pages', 'coupons-deals' ),
		'id'            => 'sidebar-3',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	//Footer widget areas
	$coupons_deals_widget_areas = get_theme_mod('coupons_deals_footer_widget_areas', '4');
	for ($coupons_deals_i=1; $coupons_deals_i <= 4; $coupons_deals_i++) {
		register_sidebar( array(
			'name'          => __( 'Footer Widget ', 'coupons-deals' ) . $coupons_deals_i,
			'id'            => 'footer-' . $coupons_deals_i,
			'description'   => '',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) ); 
	}

	register_sidebar( array(
		'name'          => __( 'Shop Page Sidebar', 'coupons-deals' ),
		'description'   => __( 'Appears on shop page', 'coupons-deals' ),
		'id'            => 'woocommerce_sidebar',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Single Product Page Sidebar', 'coupons-deals' ),
		'description'   => __( 'Appears on single product page', 'coupons-deals' ),
		'id'            => 'woocommerce-single-sidebar',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'coupons_deals_widgets_init' );

/* Footer Widget */
add_theme_support( 'starter-content', array(
	'widgets' => array(
		'footer-1' => array(
			'archives',
		),
		'footer-2' => array(
			'meta',
		),
		'footer-3' => array(
			'categories',
		),
		'footer-4' => array(
			'search',
		),
	),
));

// edit
if (!function_exists('coupons_deals_edit_link')) :
    function coupons_deals_edit_link($view = 'default')
    {
        global $post;
            edit_post_link(
                sprintf(
                    wp_kses(
                    /* translators: %s: Name of current post. Only visible to screen readers */
                        __('Edit <span class="screen-reader-text">%s</span>', 'coupons-deals'),
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    get_the_title()
                ),
                '<span class="edit-link"><i class="fa-solid fa-pen mx-2"></i>',
                '</span>'
            );
    }
endif;

/* Theme Font URL */
function coupons_deals_font_url() {
	$font_family   = array(
		'ABeeZee:ital@0;1',
		'Abril Fatface',
		'Acme',
		'Allura',
		'Anton',
		'Architects Daughter',
		'Archivo:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Arimo:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Arsenal:ital,wght@0,400;0,700;1,400;1,700',
		'Arvo:ital,wght@0,400;0,700;1,400;1,700',
		'Alegreya:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900',
		'Alfa Slab One',
		'Averia Serif Libre:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700',
		'Bangers',
		'Boogaloo',
		'Bad Script',
		'Barlow Condensed:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Bitter:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Bree Serif',
		'BenchNine:wght@300;400;700',
		'Cabin:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Cardo:ital,wght@0,400;0,700;1,400',
		'Courgette',
		'Caveat Brush',
		'Cherry Swash:wght@400;700',
		'Cormorant Garamond:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700',
		'Crimson Text:ital,wght@0,400;0,600;0,700;1,400;1,600;1,700',
		'Cuprum:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Cookie',
		'Coming Soon',
		'Charm:wght@400;700',
		'Chewy',
		'Days One',
		'Dosis:wght@200;300;400;500;600;700;800',
		'DM Sans:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700',
		'EB Garamond:ital,wght@0,400;0,500;0,600;0,700;0,800;1,400;1,500;1,600;1,700;1,800',
		'Economica:ital,wght@0,400;0,700;1,400;1,700',
		'Fira Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Fredoka One',
		'Fjalla One',
		'Francois One',
		'Frank Ruhl Libre:wght@300;400;500;700;900',
		'Gabriela',
		'Gloria Hallelujah',
		'Great Vibes',
		'Handlee',
		'Hammersmith One',
		'Heebo:wght@100;200;300;400;500;600;700;800;900',
		'Hind:wght@300;400;500;600;700',
		'Inconsolata:wght@200;300;400;500;600;700;800;900',
		'Indie Flower',
		'IM Fell English SC',
		'Julius Sans One',
		'Jost:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Krub:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;1,200;1,300;1,400;1,500;1,600;1,700',
		'Lobster',
		'Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900',
		'Lora:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700',
		'Libre Baskerville:ital,wght@0,400;0,700;1,400',
		'Lobster Two:ital,wght@0,400;0,700;1,400;1,700',
		'Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900',
		'Marck Script',
		'Marcellus',
		'Merienda One',
		'Monda:wght@400;700',
		'Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000',
		'Noto Serif:ital,wght@0,400;0,700;1,400;1,700',
		'Nunito Sans:ital,wght@0,200;0,300;0,400;0,600;0,700;0,800;0,900;1,200;1,300;1,400;1,600;1,700;1,800;1,900',
		'Overpass:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Overpass Mono:wght@300;400;500;600;700',
		'Oxygen:wght@300;400;700',
		'Oswald:wght@200;300;400;500;600;700',
		'Orbitron:wght@400;500;600;700;800;900',
		'Patua One',
		'Pacifico',
		'Padauk:wght@400;700',
		'Playball',
		'Playfair Display:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900',
		'Prompt:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'PT Sans:ital,wght@0,400;0,700;1,400;1,700',
		'PT Serif:ital,wght@0,400;0,700;1,400;1,700',
		'Philosopher:ital,wght@0,400;0,700;1,400;1,700',
		'Permanent Marker',
		'Poiret One',
		'Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Prata',
		'Quicksand:wght@300;400;500;600;700',
		'Quattrocento Sans:ital,wght@0,400;0,700;1,400;1,700',
		'Raleway:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
		'Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900',
		'Roboto Condensed:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700',
	 	'Rokkitt:wght@100;200;300;400;500;600;700;800;900',
	 	'Russo One',
	 	'Righteous',
	 	'Saira:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
	 	'Satisfy',
	 	'Sen:wght@400;700;800',
	 	'Slabo 13px',
	 	'Source Sans Pro:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700;1,900',
	 	'Shadows Into Light Two',
	 	'Shadows Into Light',
	 	'Sacramento',
	 	'Sail',
	 	'Shrikhand',
	 	'League Spartan:wght@100;200;300;400;500;600;700;800;900',
	 	'Staatliches',
	 	'Stylish',
	 	'Tangerine:wght@400;700',
	 	'Titillium Web:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700',
	 	'Trirong:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
	 	'Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700',
	 	'Unica One',
	 	'VT323',
	 	'Varela Round',
	 	'Vampiro One',
	 	'Vollkorn:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900',
	 	'Work Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900',
	 	'Yanone Kaffeesatz:wght@200;300;400;500;600;700',
	 	'ZCOOL XiaoWei',
	 	'Open Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800',
		'Josefin Slab:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700',
		'Josefin Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700'
	);

	$query_args = array(
		'family'	=> rawurlencode(implode('|',$font_family)),
	);
	$font_url = add_query_arg($query_args,'//fonts.googleapis.com/css');
	return $font_url;
	$contents = wptt_get_webfont_url( esc_url_raw( $fonts_url ) );
}

/* Theme enqueue scripts */
function coupons_deals_scripts() {
	wp_enqueue_style( 'coupons-deals-font', coupons_deals_font_url(), array() );
	// blocks-css
	wp_enqueue_style( 'coupons-deals-block-style', get_theme_file_uri('/css/blocks.css') );
	wp_enqueue_style( 'bootstrap-css', get_template_directory_uri() . '/css/bootstrap.css');
	wp_enqueue_style( 'coupons-deals-basic-style', get_stylesheet_uri() );
	wp_style_add_data( 'coupons-deals-style', 'rtl', 'replace' );
	wp_enqueue_style( 'font-awesome-css', get_template_directory_uri().'/css/fontawesome-all.css' );
	if (get_theme_mod('coupons_deals_sidebar_animation', true) == true){
	wp_enqueue_script( 'jquery-wow', get_template_directory_uri() . '/js/wow.js', array('jquery') );
	wp_enqueue_style( 'animate-css', get_template_directory_uri().'/css/animate.css' );
    }

	// Body
	$coupons_deals_body_color = get_theme_mod('coupons_deals_body_color', '');
	$coupons_deals_body_font_family = get_theme_mod('coupons_deals_body_font_family', '');
	$coupons_deals_body_font_size   = get_theme_mod('coupons_deals_body_font_size', '');
	$coupons_deals_body_font_weight   = get_theme_mod('coupons_deals_body_font_weight', '');
	// Paragraph
	$coupons_deals_paragraph_color       = get_theme_mod('coupons_deals_paragraph_color', '');
	$coupons_deals_paragraph_font_family = get_theme_mod('coupons_deals_paragraph_font_family', '');
	$coupons_deals_paragraph_font_size   = get_theme_mod('coupons_deals_paragraph_font_size', '');
	$coupons_deals_paragraph_font_weight   = get_theme_mod('coupons_deals_paragraph_font_weight', '');
	// "a" tag
	$coupons_deals_atag_color       = get_theme_mod('coupons_deals_atag_color', '');
	$coupons_deals_atag_font_family = get_theme_mod('coupons_deals_atag_font_family', '');
	// "li" tag
	$coupons_deals_li_color       = get_theme_mod('coupons_deals_li_color', '');
	$coupons_deals_li_font_family = get_theme_mod('coupons_deals_li_font_family', '');

	// H1
	$coupons_deals_h1_color       = get_theme_mod('coupons_deals_h1_color', '');
	$coupons_deals_h1_font_family = get_theme_mod('coupons_deals_h1_font_family', '');
	$coupons_deals_h1_font_size   = get_theme_mod('coupons_deals_h1_font_size', '');
	$coupons_deals_h1_font_weight   = get_theme_mod('coupons_deals_h1_font_weight', '');
	// H2
	$coupons_deals_h2_color       = get_theme_mod('coupons_deals_h2_color', '');
	$coupons_deals_h2_font_family = get_theme_mod('coupons_deals_h2_font_family', '');
	$coupons_deals_h2_font_size   = get_theme_mod('coupons_deals_h2_font_size', '');
	$coupons_deals_h2_font_weight   = get_theme_mod('coupons_deals_h2_font_weight', '');
	// H3
	$coupons_deals_h3_color       = get_theme_mod('coupons_deals_h3_color', '');
	$coupons_deals_h3_font_family = get_theme_mod('coupons_deals_h3_font_family', '');
	$coupons_deals_h3_font_size   = get_theme_mod('coupons_deals_h3_font_size', '');
	$coupons_deals_h3_font_weight   = get_theme_mod('coupons_deals_h3_font_weight', '');
	// H4
	$coupons_deals_h4_color       = get_theme_mod('coupons_deals_h4_color', '');
	$coupons_deals_h4_font_family = get_theme_mod('coupons_deals_h4_font_family', '');
	$coupons_deals_h4_font_size   = get_theme_mod('coupons_deals_h4_font_size', '');
	$coupons_deals_h4_font_weight   = get_theme_mod('coupons_deals_h4_font_weight', '');
	// H5
	$coupons_deals_h5_color       = get_theme_mod('coupons_deals_h5_color', '');
	$coupons_deals_h5_font_family = get_theme_mod('coupons_deals_h5_font_family', '');
	$coupons_deals_h5_font_size   = get_theme_mod('coupons_deals_h5_font_size', '');
	$coupons_deals_h5_font_weight   = get_theme_mod('coupons_deals_h5_font_weight', '');
	// H6
	$coupons_deals_h6_color       = get_theme_mod('coupons_deals_h6_color', '');
	$coupons_deals_h6_font_family = get_theme_mod('coupons_deals_h6_font_family', '');
	$coupons_deals_h6_font_size   = get_theme_mod('coupons_deals_h6_font_size', '');
	$coupons_deals_h6_font_weight   = get_theme_mod('coupons_deals_h6_font_weight', '');

	$coupons_deals_custom_css = '

	 	body{
		    color:'.esc_html($coupons_deals_body_color).'!important;
		    font-family: '.esc_html($coupons_deals_body_font_family).';
		    font-size: '.esc_html($coupons_deals_body_font_size).'px;
			font-weight: '.esc_html($coupons_deals_body_font_weight).'!important;
		}
		p,span{
		    color:'.esc_html($coupons_deals_paragraph_color).'!important;
		    font-family: '.esc_html($coupons_deals_paragraph_font_family).';
		    font-size: '.esc_html($coupons_deals_paragraph_font_size).'px;
			font-weight: '.esc_html($coupons_deals_paragraph_font_weight).'!important;
		}
		a{
		    color:'.esc_html($coupons_deals_atag_color).'!important;
		    font-family: '.esc_html($coupons_deals_atag_font_family).';
		}
		li{
		    color:'.esc_html($coupons_deals_li_color).'!important;
		    font-family: '.esc_html($coupons_deals_li_font_family).';
		}
		h1{
		    color:'.esc_html($coupons_deals_h1_color).'!important;
		    font-family: '.esc_html($coupons_deals_h1_font_family).'!important;
		    font-size: '.esc_html($coupons_deals_h1_font_size).'px!important;
			font-weight: '.esc_html($coupons_deals_h1_font_weight).'!important;
		}
		h2{
		    color:'.esc_html($coupons_deals_h2_color).'!important;
		    font-family: '.esc_html($coupons_deals_h2_font_family).'!important;
		    font-size: '.esc_html($coupons_deals_h2_font_size).'px!important;
			font-weight: '.esc_html($coupons_deals_h2_font_weight).'!important;
		}
		h3{
		    color:'.esc_html($coupons_deals_h3_color).'!important;
		    font-family: '.esc_html($coupons_deals_h3_font_family).'!important;
		    font-size: '.esc_html($coupons_deals_h3_font_size).'px!important;
			font-weight: '.esc_html($coupons_deals_h3_font_weight).'!important;
		}
		h4{
		    color:'.esc_html($coupons_deals_h4_color).'!important;
		    font-family: '.esc_html($coupons_deals_h4_font_family).'!important;
		    font-size: '.esc_html($coupons_deals_h4_font_size).'px!important;
			font-weight: '.esc_html($coupons_deals_h4_font_weight).'!important;
		}
		h5{
		    color:'.esc_html($coupons_deals_h5_color).'!important;
		    font-family: '.esc_html($coupons_deals_h5_font_family).'!important;
		    font-size: '.esc_html($coupons_deals_h5_font_size).'px!important;
			font-weight: '.esc_html($coupons_deals_h5_font_weight).'!important;
		}
		h6{
		    color:'.esc_html($coupons_deals_h6_color).'!important;
		    font-family: '.esc_html($coupons_deals_h6_font_family).'!important;
		    font-size: '.esc_html($coupons_deals_h6_font_size).'px!important;
			font-weight: '.esc_html($coupons_deals_h6_font_weight).'!important;
		}
	';
	wp_add_inline_style('coupons-deals-basic-style', $coupons_deals_custom_css);

	/* Theme Color sheet */
	require get_parent_theme_file_path( '/theme-color-option.php' );
	wp_add_inline_style( 'coupons-deals-basic-style',$coupons_deals_custom_css );
	wp_enqueue_script( 'tether-js', get_template_directory_uri() . '/js/tether.js', array('jquery') ,'',true);
	wp_enqueue_script( 'bootstrap-js', get_template_directory_uri() . '/js/bootstrap.js', array('jquery') ,'',true);
	wp_enqueue_script( 'jquery-superfish', get_template_directory_uri() . '/js/jquery.superfish.js', array('jquery') ,'',true);
	wp_enqueue_script( 'coupons-deals-custom-scripts-jquery', get_template_directory_uri() . '/js/custom.js', array('jquery') );
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'coupons_deals_scripts' );

function coupons_deals_sanitize_dropdown_pages( $page_id, $setting ) {
  	// Ensure $input is an absolute integer.
  	$page_id = absint( $page_id );
  	// If $page_id is an ID of a published page, return it; otherwise, return the default.
  	return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}

/* Excerpt Limit Begin */
function coupons_deals_string_limit_words($string, $word_limit) {
	$words = explode(' ', $string, ($word_limit + 1));
	if(count($words) > $word_limit)
	array_pop($words);
	return implode(' ', $words);
}

/*radio button sanitization*/
function coupons_deals_sanitize_choices( $input, $setting ) {
    global $wp_customize;
    $control = $wp_customize->get_control( $setting->id );
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}

function coupons_deals_sanitize_checkbox( $input ) {
	// Boolean check
	return ( ( isset( $input ) && true == $input ) ? true : false );
}

/**
 * Integer sanitization
 */
if ( ! function_exists( 'coupons_deals_sanitize_integer' ) ) {
	function coupons_deals_sanitize_integer( $input ) {
		return (int) $input;
	}
}

// Change number or products per row to 4
add_filter('loop_shop_columns', 'coupons_deals_loop_columns');
if (!function_exists('coupons_deals_loop_columns')) {
	function coupons_deals_loop_columns() {
		$columns = get_theme_mod( 'coupons_deals_per_columns', 4 );
		return $columns; // 4 products per row
	}
}

//Change number of products that are displayed per page (shop page)
add_filter( 'loop_shop_per_page', 'coupons_deals_shop_per_page', 20 );
function coupons_deals_shop_per_page( $cols ) {
  	$cols = get_theme_mod( 'coupons_deals_product_per_page', 9 );
	return $cols;
}

//Display the related posts
if ( ! function_exists( 'coupons_deals_related_posts' ) ) {
	function coupons_deals_related_posts() {
		wp_reset_postdata();
		global $post;
		$args = array(
			'no_found_rows'          => true,
			'update_post_meta_cache' => false,
			'update_post_term_cache' => false,
			'ignore_sticky_posts'    => 1,
			'orderby'                => 'rand',
			'post__not_in'           => array( $post->ID ),
			'posts_per_page'         => absint( get_theme_mod( 'coupons_deals_related_posts_count_number', '3' ) ),
		);
		// Categories
		if ( get_theme_mod( 'coupons_deals_related_posts_taxanomies', 'categories' ) == 'categories' ) {

			$cats = get_post_meta( $post->ID, 'related-posts', true );

			if ( ! $cats ) {
				$cats                 = wp_get_post_categories( $post->ID, array( 'fields' => 'ids' ) );
				$args['category__in'] = $cats;
			} else {
				$args['cat'] = $cats;
			}
		}
		// Tags
		if ( get_theme_mod( 'coupons_deals_related_posts_taxanomies', 'categories' ) == 'tags' ) {

			$tags = get_post_meta( $post->ID, 'related-posts', true );

			if ( ! $tags ) {
				$tags            = wp_get_post_tags( $post->ID, array( 'fields' => 'ids' ) );
				$args['tag__in'] = $tags;
			} else {
				$args['tag_slug__in'] = explode( ',', $tags );
			}
			if ( ! $tags ) {
				$break = true;
			}
		}
		$query = ! isset( $break ) ? new WP_Query( $args ) : new WP_Query();
		return $query;
	}
}

function coupons_deals_enable_post_featured_image(){
	if(get_theme_mod('coupons_deals_post_featured_image') == 'Image' ) {
		return true;
	}
	return false;
}

function coupons_deals_post_color_enabled(){
	if(get_theme_mod('coupons_deals_post_featured_image') == 'Color' ) {
		return true;
	}
	return false;
}

function coupons_deals_enable_post_image_custom_dimention(){
	if(get_theme_mod('coupons_deals_post_featured_image_dimention') == 'Custom' ) {
		return true;
	}
	return false;
}

function coupons_deals_enable_single_post_image_custom_dimention(){
	if(get_theme_mod('coupons_deals_single_post_featured_image_dimention') == 'Custom' ) {
		return true;
	}
	return false;
}

function coupons_deals_enable_coupons_image_custom_dimention(){
	if(get_theme_mod('coupons_deals_post_featured_coupons_dimention') == 'Custom' ) {
		return true;
	}
	return false;
}

function coupons_deals_show_post_color(){
	if(get_theme_mod('coupons_deals_post_featured_image') == 'Color' ) {
		return true;
	}
	return false;
}

function coupons_deals_custom_date() {
  	add_meta_box( 'bn_meta', __( 'Coupon Meta Feilds', 'coupons-deals' ), 'coupons_deals_meta_date_callback', 'post', 'normal', 'high' );
}
if (is_admin()){
  	add_action('admin_menu', 'coupons_deals_custom_date');
}

function coupons_deals_meta_date_callback( $post ) {
  	wp_nonce_field( basename( __FILE__ ), 'coupons_deals_date_meta' );
  	$bn_stored_meta = get_post_meta( $post->ID );
  	$coupons_deals_date = get_post_meta( $post->ID, 'coupons_deals_date', true );
  	?>
  	<div id="custom_meta_feilds">
	    <table id="list">
	      	<tbody id="the-list" data-wp-lists="list:meta">
		        <tr id="meta-8">
		          	<td class="left">
		            	<?php esc_html_e( 'Expiry Date', 'coupons-deals' )?>
		          	</td>
		          	<td class="left">
		            	<input type="text" name="coupons_deals_date" id="coupons_deals_date" value="<?php echo esc_html($coupons_deals_date); ?>" />
		          	</td>
		        </tr>
	      	</tbody>
	    </table>
  	</div>
  	<?php
}

function coupons_deals_save( $post_id ) {
  	if (!isset($_POST['coupons_deals_date_meta']) || !wp_verify_nonce( strip_tags( wp_unslash( $_POST['coupons_deals_date_meta']) ), basename(__FILE__))) {
      	return;
  	}
  	if (!current_user_can('edit_post', $post_id)) {
   		return;
  	}
  	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
    	return;
  	}
  	if( isset( $_POST[ 'coupons_deals_date' ] ) ) {
    	update_post_meta( $post_id, 'coupons_deals_date', strip_tags( wp_unslash( $_POST[ 'coupons_deals_date' ]) ) );
  	}
}
add_action( 'save_post', 'coupons_deals_save' );

function coupons_deals_theme_setup() {
	define('COUPONS_DEALS_LIVE_DEMO',__('https://demos.buywptemplates.com/coupons-deals-pro/', 'coupons-deals'));
	define('COUPONS_DEALS_BUY_PRO',__('https://www.buywptemplates.com/products/deals-wordpress-theme', 'coupons-deals'));
	if ( ! defined( 'COUPONS_DEALS_BUY_BUNDLE' ) ) {
		define('COUPONS_DEALS_BUY_BUNDLE', __('https://www.buywptemplates.com/products/wp-theme-bundle', 'coupons-deals'));
	}
	define('COUPONS_DEALS_PRO_DOC',__('https://demos.buywptemplates.com/demo/docs/bwt-coupons-deals-pro/', 'coupons-deals'));
	define('COUPONS_DEALS_FREE_DOC',__('https://demos.buywptemplates.com/demo/docs/free-coupons-deals/', 'coupons-deals'));
	define('COUPONS_DEALS_PRO_SUPPORT',__('https://buywptemplates.com/pages/community', 'coupons-deals'));
	define('COUPONS_DEALS_FREE_SUPPORT',__('https://wordpress.org/support/theme/coupons-deals/', 'coupons-deals'));
	define('COUPONS_DEALS_REVIEW',__('https://wordpress.org/support/theme/coupons-deals/reviews/', 'coupons-deals'));
	define('COUPONS_DEALS_CREDIT',__('https://www.buywptemplates.com/products/free-coupons-wordpress-theme', 'coupons-deals'));	
}
add_action( 'after_setup_theme', 'coupons_deals_theme_setup' );

if ( ! function_exists( 'coupons_deals_credit' ) ) {
	function COUPONS_DEALS_CREDIT(){
		echo "<a href=".esc_url(COUPONS_DEALS_CREDIT)." target='_blank'>".esc_html__('Coupon WordPress Theme','coupons-deals')."</a>";
	}
}

// Reset demo import settings
function coupons_deals_reset_demo_import_settings() {
    if (current_user_can('manage_options')) {
        // List only demo import-related settings to reset
		remove_theme_mod('coupons_deals_facebook_link');
		remove_theme_mod('coupons_deals_twitter_link');
		remove_theme_mod('coupons_deals_linkdin_link');
		remove_theme_mod('coupons_deals_instagram_link');
		remove_theme_mod('coupons_deals_pintrest_link');
		remove_theme_mod('coupons_deals_slider_small_title');
		remove_theme_mod('coupons_deals_slider_button_text');
		remove_theme_mod('coupons_deals_slider_button_link');
		remove_theme_mod('coupons_deals_slider_hide');
		for ( $count = 1; $count <= 4; $count++ ) {
			remove_theme_mod('coupons_deals_slider_setting' . $count);
		}
		remove_theme_mod('coupons_deals_coupon_text');
		remove_theme_mod('coupons_deals_coupon_button_text');
		remove_theme_mod('coupons_deals_coupon_button_url');
		remove_theme_mod('coupons_deals_coupon_image');
		remove_theme_mod('coupons_deals_featured_enable');
		remove_theme_mod('coupons_deals_featured_section_title');
		remove_theme_mod('coupons_deals_featured_text');
		remove_theme_mod('coupons_deals_featured_coupons');
		remove_theme_mod('coupons_deals_footer_copy');

        wp_send_json_success(array('message' => __('Demo import settings have been reset.', 'coupons-deals')));
    } else {
        wp_send_json_error(array('message' => __('Permission denied.', 'coupons-deals')));
    }
}
add_action('wp_ajax_coupons_deals_reset_demo_import_settings', 'coupons_deals_reset_demo_import_settings'); 

/* Implement the Custom Header feature. */
require get_template_directory() . '/inc/custom-header.php';

/* Custom template tags for this theme. */
require get_template_directory() . '/inc/template-tags.php';

/* Load Customizer file. */
require get_template_directory() . '/inc/customizer.php';

/* About Widget */
require get_template_directory() . '/inc/about.php';

/* Contact Widget */
require get_template_directory() . '/inc/contact.php';

/* Load welcome message.*/
require get_template_directory() . '/inc/dashboard/get_started_info.php';

/* Load Customizer file. */
require get_template_directory() . '/wptt-webfont-loader.php';

/* TGM Plugin Activation */
require get_template_directory() . '/inc/tgm/tgm.php';

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );